Index: tmp/org.txm.synopticeditor.rcp/build.properties
===================================================================
--- tmp/org.txm.synopticeditor.rcp/build.properties	(revision 812)
+++ tmp/org.txm.synopticeditor.rcp/build.properties	(revision 813)
@@ -1,5 +1,7 @@
+source.. = src/
 output.. = bin/
-bin.includes = META-INF/,\
+bin.includes =  .,\
+				META-INF/,\
                plugin.xml,\
                icons/,\
                res/,\
Index: tmp/org.txm.synopticeditor.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.synopticeditor.rcp/META-INF/MANIFEST.MF	(revision 812)
+++ tmp/org.txm.synopticeditor.rcp/META-INF/MANIFEST.MF	(revision 813)
@@ -1,21 +1,21 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.concordance.rcp;bundle-version="1.0.0";visibil
- ity:=reexport,org.txm.core;bundle-version="0.7.0";visibility:=reexpor
- t,org.eclipse.ui;visibility:=reexport,org.eclipse.core.runtime;visibi
- lity:=reexport,org.txm.rcp;bundle-version="0.7.5";visibility:=reexpor
- t,org.eclipse.ui.browser;bundle-version="3.4.100";visibility:=reexpor
- t,org.eclipse.jface.databinding;bundle-version="1.6.200";visibility:=
- reexport,org.eclipse.jface.text;bundle-version="3.9.2";visibility:=re
- export,org.txm.searchengine.core;bundle-version="1.0.0";visibility:=r
- eexport,org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibili
- ty:=reexport
+Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
+ org.txm.searchengine.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.concordance.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.core;bundle-version="0.7.0";visibility:=reexport,
+ org.eclipse.ui;visibility:=reexport,
+ org.eclipse.core.runtime;visibility:=reexport,
+ org.txm.rcp;bundle-version="0.7.5";visibility:=reexport,
+ org.eclipse.ui.browser;bundle-version="3.4.100";visibility:=reexport,
+ org.eclipse.jface.databinding;bundle-version="1.6.200";visibility:=reexport,
+ org.eclipse.jface.text;bundle-version="3.9.2";visibility:=reexport
 Export-Package: org.txm.synopticedition.rcp.editors,org.txm.synopticed
  ition.rcp.editors.ext,org.txm.synopticedition.rcp.handlers,org.txm.sy
  nopticedition.rcp.messages,org.txm.synopticedition.rcp.preferences
 Bundle-Vendor: Textometrie.org
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: %Bundle-Name
+Bundle-Name: SynopticEditor
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.synopticeditor.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 812)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 813)
@@ -951,7 +951,7 @@
 	 * @return
 	 */
 	public static Menu initContextMenu(Composite composite, String menuId, IWorkbenchPartSite partSite, ISelectionProvider selectionProvider)	{
-		MenuManager menuManager = new MenuManager();
+		MenuManager menuManager = new MenuManager(menuId, menuId);
 		//duplicate with registerContextMenu() 
 		//IMenuService menuService = (IMenuService) PlatformUI.getWorkbench().getActiveWorkbenchWindow().getService(IMenuService.class);
 		//menuService.populateContributionManager(menuManager, "popup:" + menuId); //$NON-NLS-1$
Index: tmp/org.txm.core.tests/src/org/txm/core/tests/junit/PluginBuildProperties.java
===================================================================
--- tmp/org.txm.core.tests/src/org/txm/core/tests/junit/PluginBuildProperties.java	(revision 812)
+++ tmp/org.txm.core.tests/src/org/txm/core/tests/junit/PluginBuildProperties.java	(revision 813)
@@ -18,11 +18,6 @@
 
 	@Override
 	public void RCPPluginTest(File projectDirectory, String name, String packagePath) throws IOException {
-		File pluginXML = new File(projectDirectory, "plugin.xml");
-		if (!pluginXML.exists()) {
-			error("missing file "+pluginXML);
-		}
-
 		testPluginXMLExport(projectDirectory);
 	}
 
@@ -47,6 +42,19 @@
 		if (!value.contains("plugin.xml")) {
 			error("plugin.xml is not exported: "+pluginXML.getAbsolutePath());
 		}
+		if (!value.contains("META-INF/")) {
+			error("META-INF is not exported: "+pluginXML.getAbsolutePath());
+		}
+		
+		boolean pointOK = false;
+		String[] includes = value.split(",");
+		for (String include : includes) {
+			if (".".equals(include)) pointOK = true;
+		}
+		
+		if (!pointOK) {
+			error("'.' is not present in build.properties");
+		}
 	}
 
 	@Override
Index: tmp/org.txm.core.tests/src/org/txm/core/tests/junit/TXMPluginTest.java
===================================================================
--- tmp/org.txm.core.tests/src/org/txm/core/tests/junit/TXMPluginTest.java	(revision 812)
+++ tmp/org.txm.core.tests/src/org/txm/core/tests/junit/TXMPluginTest.java	(revision 813)
@@ -21,7 +21,11 @@
  *
  */
 public abstract class TXMPluginTest {
-	public static int LEVEL = 1; // 1 errors, 2 warnings, 3 infos messages
+	public static int LEVEL = 3; // 1 errors, 2 warnings, 3 infos messages
+	
+	/**
+	 * error counter
+	 */
 	int error = 0;
 
 	protected ArrayList<File> projects;
@@ -104,7 +108,7 @@
 					//plugin_package = plugin_package.substring(0, plugin_package.length()-4);
 					RCPPluginTest(projectDirectory, plugin_name, plugin_package);
 				} else {
-					// ignore project
+					info("ignoring project: "+projectDirectory);
 				}
 
 				if (messages.size() > 0) {
